%{!?lua_version: %global lua_version %{lua: print(string.sub(_VERSION, 5))}}
%{!?lua_pkgdir: %global lua_pkgdir %{_datadir}/lua/%{lua_version}}

%global luapkgname luaepnf

Name:          lua-%{luapkgname}
Version:       0.3
Release:       1%{?dist}
Summary:       Extended PEG Notation Format (easy grammars for LPeg).

License:       MIT
URL:           https://github.com/siffiejoe/lua-%{luapkgname}
Source0:       https://github.com/siffiejoe/lua-%{luapkgname}/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch

BuildRequires: lua-devel
BuildRequires: luarocks

Requires:      lua-lpeg

%description
Extended PEG Notation Format (easy grammars for LPeg).

%prep
%autosetup -n lua-%{luapkgname}-%{version}

%install
rm -rf %{buildroot}
luarocks --tree=%{buildroot}/usr \
    make --deps-mode=none --no-manifest

# Remove luarocks metadata
rm -rf %{buildroot}/usr/lib

%files
%doc README.md
%{lua_pkgdir}/*

%changelog
* Mon Oct 18 2021 Johannes Maibaum <jmaibaum@gmail.com> - 0.3-1
- Initial spec file for lua-luaepnf
